
	org $cd80

; Put in the high byte load address of your song(s) here. (eg: if it loads at $1000, put $10 in.  if it's loads at $1400, put $14 in)
; Player assumes that load address also is the init address

player_patchsid
	.byte $10,$ff,$ff,$ff

; This is the amount of pages (256 bytes) the patching process checks.  The default ($08 = 2kb) seems fine for most modern players.

player_patchsid_threshold
	.byte $08,$08,$08,$08

; Put in the play address of each of your players (high byte is the first table, low byte is the second table)

player_playhi
	.byte $10,$ff,$ff,$ff
player_playlo
	.byte $03,$ff,$ff,$ff

patch_memorylo
	.byte $00,$00,$00,$00

; If using different player types together, sometimes you have to skip a few frames to get them to play in sync. 

player_startdelay
	.byte $ff,$ff,$ff,$ff

; These is the patch setup for each channel.
        
	org $cdc0
patchdatatrack1
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano

	org $ce00
	
patchdatatrack2
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	
	org $ce40
	
patchdatatrack3
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano

	org $ce80
patchdatatrack4
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano 
	
	org $cec0
	
patchdatatrack5
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	
	org $cf00
	
patchdatatrack6
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano

	org $cf40
patchdatatrack7
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano

	org $cf80
	
patchdatatrack8
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano	

	org $cfc0
	
patchdatatrack9
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano
	.byte 0 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; Piano	





