
	org $cd80

; Put in the high byte load address of your song(s) here. (eg: if it loads at $1000, put $10 in.  if it's loads at $1400, put $14 in)
; Player assumes that load address also is the init address

player_patchsid
	.byte $10,$30,$ff,$ff

; This is the amount of pages (256 bytes) the patching process checks.  The default ($08 = 2kb) seems fine for most modern players.

player_patchsid_threshold
	.byte $08,$08,$08,$08

; Put in the play address of each of your players (high byte is the first table, low byte is the second table)

player_playhi
	.byte $10,$30,$ff,$ff
player_playlo
	.byte $03,$03,$ff,$ff

patch_memorylo
	.byte $00,$00,$40,$60

; If using different player types together, sometimes you have to skip a few frames to get them to play in sync. 

player_startdelay
	.byte $ff,$03,$ff,$ff

; These is the patch setup for each channel.
        
	org $cdc0
patchdatatrack1
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 0 ,             46 ,    128 ,        40  ,    255 ,      255   ,      0 ,     12
	.byte 0 ,             46 ,    128 ,        65  ,    255 ,      255   ,      0 ,     12 ; Saw and harp
	.byte 2 ,              36 ,    128  ,        80 ,    8 ,      255   ,      0 ,     0  ; Slap bass 
	.byte 1 ,              37 ,    128  ,        100 ,    255 ,      255   ,      0 ,     0  ; Bass 
	.byte 8 ,              27 ,    128 ,        255 ,    4 ,      255   ,      0 ,     0 ; Guitar Pluck 
	.byte 4 ,              91 ,    128 ,       75,    255 ,      30   ,      72 ,     12
	.byte 5 ,            49 ,    128 ,        48  ,    80 ,      32    ,     16 ,    12; String Ensemble
	.byte 11 ,            122 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0 ; Seashore

	org $ce00
	
patchdatatrack2
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 128 ,             0 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0 ; MIDI SKIPPED
	.byte 0 ,             46 ,    128 ,        65  ,    255 ,      255   ,      0 ,     12 ; (saw and harp)
	.byte 1 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 128 ,             0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0 ; MIDI SKIPPED
	.byte 1 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 14 ,             73 ,    128 ,        70  ,    255 ,      255   ,      0 ,     12 ; Flute
	.byte 5 ,            49 ,    128 ,        48  ,    80 ,      255   ,      0 ,    12; String Ensemble
	.byte 9 ,              0 ,    128 ,        80 ,    255 ,      255   ,      0 ,     0 ; Drums (crash)
	
	org $ce40
	
patchdatatrack3
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 9 ,              0 ,    128 ,         120 ,    255 ,      255   ,      0 ,     0 ; Drums (bdrum) 
	.byte 0 ,             46 ,    128 ,        45  ,    255 ,      255   ,      0 ,     12 ; Saw and harp
	.byte 2 ,              37 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0  ; Slap Bass
	.byte 128 ,             0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0 ; MIDI SKIPPED
	.byte 8 ,              27 ,    128 ,        255 ,    4 ,      255   ,      0 ,     0 ; Guitar Pluck 
	.byte 0 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 5 ,            49 ,    128 ,        48  ,    80 ,      255   ,      0 ,    12 ; String Ensemble
	.byte 9 ,              0 ,    128 ,         100 ,    255 ,      255   ,      0 ,     0 ; Drums (snare)

	org $ce80
patchdatatrack4
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 3 ,             11 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 10 ,            62 ,    128 ,        255,    255 ,      255  ,      0 ,     0 ; Back Pads 
	.byte 12 ,             80 ,    128 ,        255 ,    255 ,      32   ,      48 ,    0 ; Super Lead 
	.byte 3 ,              4 ,    128 ,        255 ,    255 ,      255   ,      0 ,    0 ; Elec Piano 
	.byte 13 ,             0 ,    128 ,        255 ,   255 ,      255  ,      0,    0 ; Piano 
	.byte 3 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 3 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 9 ,              0 ,    128,        255 ,    255 ,      255   ,      0 ,     0 ; Drums 
	
	org $cec0
	
patchdatatrack5
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 4 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 10 ,            62 ,    128 ,        255,    255 ,      8   ,      96 ,     0 ; Back Pads  
	.byte 3 ,              4 ,    128 ,        255 ,    255 ,      255   ,      0 ,    0 ; Elec Piano
	.byte 3 ,              4 ,    128 ,        255 ,    255 ,      255   ,      0 ,    0 ; Elec Piano 
	.byte 13 ,             0 ,    128 ,        255 ,   255 ,      255  ,      0,    0 ; Piano 
	.byte 14 ,             61 ,    128 ,        255 ,    255 ,      255   ,      0 ,  0 ;   Horn Section 
	.byte 5 ,            49 ,    128 ,        70  ,    80 ,      32    ,     16 ,    12; String Ensemble 
	.byte 4 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	
	org $cf00
	
patchdatatrack6
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 5 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 10 ,            62 ,    128 ,        255,    255 ,      255  ,      0 ,     0 ; Back Pads 
	.byte 3 ,              4 ,    128 ,        255 ,    255 ,      255   ,      0 ,    0 ; Elec Piano
	.byte 3 ,              4 ,    128 ,        255 ,    255 ,      255   ,      0 ,    0 ; Elec Piano 
	.byte 13 ,             0 ,    128 ,        255 ,   255 ,      255  ,      0,    0 ; Piano 
	.byte 14 ,             61 ,    128 ,        255 ,    255 ,      255   ,      0 ,  0 ;   Horn Section
	.byte 5 ,            49 ,    128 ,       70  ,    80 ,      255   ,     0,    12; String Ensemble 
	.byte 9 ,              0 ,    33,        96 ,    255 ,      255   ,      0 ,     0

	org $cf40
patchdatatrack7
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 7 ,             0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0 
	.byte 10 ,            62 ,    128 ,        255,    255 ,      255  ,      0 ,     0 ; Back Pads 
	.byte 3 ,              4 ,    128 ,        255 ,    255 ,      255   ,      0 ,    0 ; Elec Piano
	.byte 3 ,              4 ,    128 ,        255 ,    255 ,      255   ,      0 ,    0 ; Elec Piano 
	.byte 13 ,             0 ,    128 ,        255 ,   255 ,      255  ,      0,    0 ; Piano  
	.byte 6 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 6 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 9 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0 ; Drums

	org $cf80
	
patchdatatrack8
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 7 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 10 ,            62 ,    128 ,        255,    255 ,      255  ,      0 ,     0 ; Back Pads  
	.byte 12 ,             80 ,    128 ,        255 ,    255 ,      32   ,      48 ,    0 ; Super Lead 
	.byte 3 ,              4 ,    128 ,        255 ,    255 ,      255   ,      0 ,    0 ; Elec Piano 
	.byte 13 ,             0 ,    128 ,        255 ,   255 ,      255  ,      0,    0 ; Piano
	.byte 7 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 5 ,            49 ,    128 ,        70  ,    80 ,      255    ,     0 ,    12; String Ensemble 
	.byte 9 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0 ; Drums	

	org $cfc0
	
patchdatatrack9
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 0 ,             46 ,    128 ,        255  ,    255 ,      255   ,      0 ,     0
	.byte 10 ,            62 ,    128 ,        255,    255 ,      255  ,      0 ,     0 ; Back Pads 
	.byte 3 ,              4 ,    128 ,        255 ,    255 ,      255   ,      0 ,    0 ; Elec Piano
	.byte 3 ,              4 ,    128 ,        255 ,    255 ,      255   ,      0 ,    0 ; Elec Piano 
	.byte 13 ,             0 ,    128 ,        255 ,   255 ,      255  ,      0,    0 ; Piano 
	.byte 8 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 7 ,             47 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0 ; Timpani
	.byte 11 ,            122 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0 ; Seashore 	





