
	org $cd80

; Put in the high byte load address of your song(s) here. (eg: if it loads at $1000, put $10 in.  if it's loads at $1400, put $14 in)
; Player assumes that load address also is the init address

player_patchsid
	.byte $10,$20,$30,$ff

; This is the amount of pages (256 bytes) the patching process checks.  The default ($08 = 2kb) seems fine for most modern players.

player_patchsid_threshold
	.byte $08,$08,$08,$08

; Put in the play address of each of your players (high byte is the first table, low byte is the second table)

player_playhi
	.byte $10,$20,$30,$ff
player_playlo
	.byte $03,$03,$03,$ff

; 1 player  = $00,$00,$00,$00
; 2 players = 

patch_memorylo
	.byte $00,$20,$40,$60

; If using different player types together, sometimes you have to skip a few frames to get them to play in sync. 

player_startdelay
	.byte $ff,$ff,$ff,$ff

; These is the patch setup for each channel.
        
	org $cdc0
patchdatatrack1
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 0 ,             46 ,    128 ,        40  ,    255 ,      255   ,      0 ,     12
	.byte 0 ,             46 ,    128 ,        65  ,    255 ,      255   ,      0 ,     12 ; (saw and harp)
	.byte 0 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 128 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 0 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 4 ,              91 ,    128 ,       75,    255 ,      30   ,      72 ,     12
	.byte 0 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 9 ,              0 ,    128 ,        60 ,    255 ,      255   ,      0 ,     0

	org $ce00
	
patchdatatrack2
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 0 ,             46 ,    128 ,        40  ,    255 ,      255   ,      0 ,     12
	.byte 0 ,             46 ,    128 ,        65  ,    255 ,      255   ,      0 ,     12 ; (saw and harp)
	.byte 1 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 128 ,             0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 1 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 4 ,              91 ,    128 ,       75,    255 ,      255   ,      0 ,     12
	.byte 1 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 9 ,              0 ,    128 ,        80 ,    255 ,      255   ,      0 ,     0 ; drums (crash)
	
	org $ce40
	
patchdatatrack3
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 0 ,             46 ,    128 ,        40  ,    255 ,      255   ,      0 ,     12 
	.byte 0 ,             46 ,    128 ,        45  ,    255 ,      255   ,      0 ,     12 ; (saw and harp)
	.byte 2 ,              37 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0  ; slap bass
	.byte 1 ,              38 ,    128  ,        127 ,    255 ,      255   ,      0 ,     12  ; bass
	.byte 8 ,              87 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0 ; Sweep Synth
	.byte 0 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 0 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 9 ,              0 ,    128 ,         100 ,    255 ,      255   ,      0 ,     0 ; drums (snare) 

	org $ce80
patchdatatrack4
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 3 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 5 ,              81 ,    128 ,        255 ,    255 ,      4   ,      127,     0 ; Synth pad
	.byte 3 ,              48 ,    128 ,        255 ,    255 ,      60   ,      32 ,    0 ; String Ensemble 1
	.byte 3 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 3 ,              81 ,    128 ,        255 ,   255 ,      30  ,      72,    0
	.byte 3 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 3 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 3 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	
	org $cec0
	
patchdatatrack5
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 4 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 5 ,              81 ,    128 ,        255 ,    255 ,      4   ,      127,     0 ; Synth pad
	.byte 3 ,              48,    128 ,        255 ,    255 ,      255   ,      0 ,     0 ; String Ensemble 1
	.byte 4 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 3 ,              81 ,    128 ,        255 ,   255 ,      255   ,      255 ,    0
	.byte 4 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 4 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 4 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	
	org $cf00
	
patchdatatrack6
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 5 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 5 ,              81 ,    128 ,        255 ,    255 ,      4   ,      127,     0 ; Synth pad
	.byte 3 ,              48,    128 ,        255 ,    255 ,      255   ,      0 ,     0 ; String Ensemble 1
	.byte 5 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 3 ,              81 ,    128 ,        255 ,   255 ,      255   ,      255 ,    0
	.byte 5 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 5 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 9 ,              0 ,    33,        96 ,    255 ,      255   ,      0 ,     0

	org $cf40
patchdatatrack7
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 7 ,             0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0 
	.byte 10 ,            62 ,    128 ,        255,    255 ,      32   ,      96 ,     0 ; Lead
	.byte 6 ,             45 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0 ; Pizzacato String
	.byte 5 ,             89 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 6 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 6 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 6 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 6 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0

	org $cf80
	
patchdatatrack8
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 7 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 6 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 6 ,              45,    128 ,        255 ,    255 ,      255   ,      0 ,     0 ; Pizzacato String
	.byte 7 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 7 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 7 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 7 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 7 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0

	org $cfc0
	
patchdatatrack9
	      ; mapped to 10-80 waveforms
              ; midi channel   patch   fixed note   susvel   reldelay   moddelay   modval  transpose
	.byte 8 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 6 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 8 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 8 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 8 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 8 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0
	.byte 7 ,             47 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0 ; Timpani
	.byte 9 ,              0 ,    128 ,        255 ,    255 ,      255   ,      0 ,     0 ; drums (snare) 	





